#include <bits/stdc++.h>

using namespace std;

bool dodajese;
long long brvece, brmanje, brdupl, n, q, a[10000000], b, medijan;
long long brojanje[10000], br = 1, maxi;

int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    cin >> n >> q;
    for(int i = 1; i <= n; i++){
        cin >> a[i];
        if (a[i] > maxi) maxi = a[i];
        brojanje[a[i]]++;
    }

    for (int i = 0; i <= maxi; i++) {
         for (int i2 = 1; i2 <= brojanje[i]; i2++) {
              a[br] = i;
              br++;
         }
    }

    medijan = a[n/2+1];
    while(q--){
        brvece = 0;
        brmanje = 0;
        brdupl = 0;
        dodajese = false;
        cin >> b;
        if (b==medijan) {
            cout << 0 << endl;
            continue;
        }
        for(int i = 1; i <= n; i++){
            if (a[i]>b)  brvece++;
            else if (a[i]<b)  brmanje++;
            else brdupl++;
        }
        if (brdupl == 0) dodajese = true;
        else brdupl --;
        if (b<medijan) cout << brvece - brmanje - brdupl + dodajese << endl;
        else cout << brmanje - brvece - 1 - brdupl + dodajese << endl;



    }
return 0;
}